Subject: [PATCH] perf: xgene: Include module.h

From: [email-masked] (Will Deacon)
Date: Thu, 26 Jan 2017 12:21:31 +0000

On Wed, Jan 25, 2017 at 07:29:30PM -0800, Tai Tri Nguyen wrote:
> On Wed, Jan 25, 2017 at 3:46 PM, Stephen Boyd <[email-masked]> wrote:
> > I ran into a build error when I disabled CONFIG_ACPI and tried to
> > compile this driver:
> >
> > drivers/perf/xgene_pmu.c:1242:1: warning: data definition has no type or storage class
> >  MODULE_DEVICE_TABLE(of, xgene_pmu_of_match);
> >  ^
> > drivers/perf/xgene_pmu.c:1242:1: error: type defaults to 'int' in declaration of 'MODULE_DEVICE_TABLE' [-Werror=implicit-int]
> >
> > Include module.h for the MODULE_DEVICE_TABLE macro that's
> > implicitly included through ACPI.
> >
> > Cc: Tai Nguyen <[email-masked]>
> > Signed-off-by: Stephen Boyd <[email-masked]>
> > ---
> >  drivers/perf/xgene_pmu.c | 1 +
> >  1 file changed, 1 insertion(+)
> >
> > diff --git a/drivers/perf/xgene_pmu.c b/drivers/perf/xgene_pmu.c
> > index a8ac4bcef2c0..fb3281962a6d 100644
> > --- a/drivers/perf/xgene_pmu.c
> > +++ b/drivers/perf/xgene_pmu.c
> > @@ -20,6 +20,7 @@
> >   */
> >
> >  #include <linux/acpi.h>
> > +#include <linux/module.h>
> 
> Please fix alphabetic order of the include file.
> 
> Tested-by: Tai Nguyen <[email-masked]>

I've picked this up with the includes put in the correct order.

Thanks,

Will